//
//  UIViewController+WXX_Alert.m
//  baishishangcheng
//
//  Created by Wzs 王 on 17/1/18.
//  Copyright © 2017年 com.maober. All rights reserved.
//

#import "UIViewController+WXX_Alert.h"

@implementation UIViewController (WXX_Alert)

- (void)alertWithTitle:(NSString *)title actionTitle1:(NSString *)actionTitle1 handler1:(void (^)())handler1 actionTitle2:(NSString *)actionTitle2 handler2:(void (^)())handler2{
    
    //    WEAKSELF
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:title message:nil preferredStyle:(UIAlertControllerStyleAlert)];
    UIAlertAction *a = [UIAlertAction actionWithTitle:actionTitle1 style:(UIAlertActionStyleDestructive) handler:^(UIAlertAction * _Nonnull action) {
        
        if (handler1) {
            
            dispatch_async(dispatch_get_main_queue(), ^{
                
                handler1();
                
            });
            
        }
        
    }];
    
    [alert addAction:a];
    
    
    if (actionTitle2) {
        UIAlertAction *b = [UIAlertAction actionWithTitle:actionTitle2 style:(UIAlertActionStyleCancel) handler:^(UIAlertAction * _Nonnull action) {
            
            if (handler2) {
                
                dispatch_async(dispatch_get_main_queue(), ^{
                    
                    handler2();
                    
                });
                
            }
        }];
        
        [alert addAction:b];
        
    }
    
    
    
    
    [self presentViewController:alert animated:YES completion:nil];
    
}
- (void)sheetWithTitle:(NSString *)title actionTitle1:(NSString *)actionTitle1 handler1:(void (^)())handler1 actionTitle2:(NSString *)actionTitle2 handler2:(void (^)())handler2{
    
    //    WEAKSELF
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:title message:nil preferredStyle:(UIAlertControllerStyleActionSheet)];
    UIAlertAction *a = [UIAlertAction actionWithTitle:actionTitle1 style:(UIAlertActionStyleDestructive) handler:^(UIAlertAction * _Nonnull action) {
        
        if (handler1) {
            
            dispatch_async(dispatch_get_main_queue(), ^{
                
                handler1();
                
            });
            
        }
        
    }];
    
    [alert addAction:a];
    
    
    if (actionTitle2) {
        UIAlertAction *b = [UIAlertAction actionWithTitle:actionTitle2 style:(UIAlertActionStyleDestructive) handler:^(UIAlertAction * _Nonnull action) {
            
            if (handler2) {
                
                dispatch_async(dispatch_get_main_queue(), ^{
                    
                    handler2();
                    
                });
                
            }
        }];
        
        [alert addAction:b];
        
    }
    
    //取消
    UIAlertAction *c = [UIAlertAction actionWithTitle:@"取消" style:(UIAlertActionStyleCancel) handler:^(UIAlertAction * _Nonnull action) {
        
            
        
    }];
    
    [alert addAction:c];

    
    
    [self presentViewController:alert animated:YES completion:nil];
    
}

@end
