#import "WxxPlugin.h"
#import "WxxViewController.h"

@implementation WxxPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"wxx_plugin"
            binaryMessenger:[registrar messenger]];
  WxxPlugin* instance = [[WxxPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
//    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
      
      UIViewController *vc = [UIApplication sharedApplication].keyWindow.rootViewController;
      WxxViewController *vc2 = [WxxViewController new];
      vc2.resultHandle = result;
      [vc presentViewController:vc2 animated:YES completion:nil];
      
      NSLog(@"%@",vc);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
